"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("@nestjs/common");
function createLookupMiddleware(sessionMiddleware, tries) {
    return (req, res, next) => {
        let left = tries;
        function lookupSession(error) {
            if (error) {
                return next(error);
            }
            left -= 1;
            if (req.session !== undefined) {
                return next();
            }
            if (left < 0) {
                return next(new common_1.InternalServerErrorException('Cannot create session'));
            }
            sessionMiddleware(req, res, lookupSession);
        }
        lookupSession();
    };
}
exports.createLookupMiddleware = createLookupMiddleware;
//# sourceMappingURL=lookupMiddleware.js.map